AutoCAD .NET :: Rotating UCS And Plan Command

Dec 23, 2011

I have two questions about UCS creation/rotation and the AutoCAD PLAN command:

Question 1) I am creating a new UCS, rotating it based on user picks and saving it.  The problem is that it saves the new UCS origin location, but it will not save the rotation.  The code I am using was pieced together from a couple of different sources (.NET developers guide and code from Tony T from an old thread)  How can I make the new UCS "save" the rotation as well?

Question 2) Once I have the new UCS created, I want to esentially use the AutoCAD PLAN command and rotate to the name of the new UCS that was just created.  I cannot find ANY info anywhere on the internet on how to replicate the PLAN command using .NET.  Here is the code I am using to create, rotate and save the UCS:

Dim acDoc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument Dim acCurDb As Database = acDoc.Database Dim acEd As Editor = acDoc.Editor Dim acEnt As Entity = Nothing Dim Zaxis As Vector3d Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction()Try ' Check for the exisitence of required blocks.
[code]....

View 9 Replies


ADVERTISEMENT

AutoCAD 2010 :: UCS And PLAN Command

Sep 4, 2012

After I choose named UCS, the view rotates accordingly. Sometimes having named UCS as orthogonal works but I still prefer having world axis as orthogonal in my monitor. How to change default? 

View 2 Replies View Related

AutoCad :: Losing Zoom By Executing The Plan Command?

Dec 6, 2013

when i work on geometry which is not in orthographic orientation i always prefer to create orthographic view of this, that's what i do :

Command : ucs
Command : z
Command : (selecting representative angled 2 points)
Command : plan
Command : c

than the whole zoom is lost , and i need to find again the portion , and save a view. i want to automate this process but before i automate it i want to know if there is a way to avoid zoom lost after executing the (plan) command?

View 7 Replies View Related

Revit :: Reflecting Ceiling Plan In Plan View?

May 30, 2012

I am working in a project where I need to represent the reflecting ceiling edges in the plan view. I  put the first floor plan as underlay, and selected the RCP projection but I don't see the dropped ceiling lines to select them with the linework command. I have done every thing possible with the view range but I don't see the lines.

View 7 Replies View Related

AutoCad :: Drag Command From Command List Pane To Quick Access Toolbar?

Apr 18, 2011

AutoCad 2011. I am having no luck when trying to drag a command from the Command List pane to the Quick Access Toolbar. I have success draging to Tool Palettes

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Annotation Command Set Correct Layer For Duration Of Command

Nov 21, 2010

I am currently writing a series of routines for setting the layers for text, leaders and dimension commands. The end goal is a system where any annotation command sets the correct layer for the duration of the command, then reverts back to the layer that was active before the command.

I have managed to complete all the code, and it appears to be working fine, I just have one question: I have used -layer "m" "Lay_name" etc... for all layer setting commands, rather than any code to see if the layer exists already. In my limited testing this seems to be suitable, nothing that exists on that layer seems to be affected.

I know how to write code to determine if the layer exists already and set the layer instead, but so far it seems unnecessary??

View 8 Replies View Related

AutoCAD 2013 :: Get Message Unknown Command When Running Any VBA Command

Jan 4, 2014

After installing the VBA Module, I get the message "Unknown command "VBARUN"".  I've rebooted, restarted and tried reinstalling the VBA Module to no avail.  

View 4 Replies View Related

AutoCAD .NET :: Send Command Executes After Exiting Command Method

Apr 23, 2013

I used send command for Export Layout..But the line only executes after exiting command method.

View 9 Replies View Related

AutoCAD 2013 :: Command Line Appears Again After Plot Command?

May 15, 2012

I press CTRL+9 to make the Command Line disappear while drawing. When I plot (or when doing a plot preview) , the Command Line appears again by itself. So I always have to turn the Command Line off manually after each plot

The bug still happens;

- if Dynamic Input is turned off or on
- if I plot to a real device or in PDF
- if the Cammand Line Palette i docked or floating.

This is not an issue in AutoCAD 2012 so I guess it has to do with the new way they programmed the revamped Command Line palette in 2013.

Using Windows7

View 2 Replies View Related

AutoCad :: Command To Save File With Specific Name Using Single Command?

Oct 24, 2011

I need to save a drawing file and give it the name of my desire using a single command, I don't want to issue "saveas" and then specify the name in the file name prompt. This problem is has been faced when I was using ScriptPro and I couldn't succeeded to do that. Hence I need to know if it is feasible to do the stuff using a single command. It will be preferred if I can choose the location to save the file also rather than save the file to the default location.

View 2 Replies View Related

AutoCAD 2010 :: Command Not Showing Up In Command Line

Nov 27, 2012

without reiterating a lot of what is said in this thread: [URL] ......

This happen outside the potential malware infection?

if you care to not click-through, the problem is that certain commands (not all of them) simply do not disply in the command line.  so the MOVE command for example looks like this:

NORMAL:

Command: _move
Select objects:

NOW:
Command:
Select objects:

same with QSAVE and who knows how many others.

View 5 Replies View Related

AutoCad :: Execute Line Command Like A Single Command?

Oct 27, 2013

line command is a multiple command. there is a way to execute it like a single command?

View 4 Replies View Related

AutoCAD Civil 3D :: How To Stop Rotating UCS

Jun 26, 2013

I dont know if its the UCS thats twisting or something else thats happening . If you look at the screen print i attached you can see that the view cube is orthogonal but the cursor is slightly rotated. If i restart my computer this will not be the case.

Then the cursor and the view cube both will be orthogonal. But after a while, for no reason it will rotate again and I have to restart my computer!

View 4 Replies View Related

AutoCAD Inventor :: Rotating A Sweep

Feb 13, 2013

On solidworks, There is an option to rotate the profile along the path as it sweeps. I'm curious if there is anything similar to that ability in Inventor? And if not, if there is a way to create a helix along a curved axis.

View 3 Replies View Related

AutoCAD Architecture :: Rotating Text In A MVB?

Feb 3, 2011

Is it possible to have text that you can rotate in a MVB similar to a dynamic block?

I tried to create a dynamic block within a MVB but doesn't work.

this is connected to the other post about tagging a MVB

View 1 Replies View Related

AutoCAD Inventor :: Rotating UCS In 2014

Jun 20, 2013

can change your UCS direction in an Inventor Sketch?

I'm copying from MDT into an Inventor sketch and when I do so, my UCS goes in a different direction and my sketch is like out in space.

View 2 Replies View Related

AutoCAD .NET :: Rotating A Block Into New Orientation In 3D

Apr 21, 2013

I am trying to write a tool using the .NET API (C#) that will allow me to select a block that currently exists in the drawing, and then select a line, and the tool would calculate the necessary axis of rotation and the amount of rotation to rotate the block into the same orientation as the line. Both the block and the line might be skewed in 3 dimensions. The use case for a tool like this might be for drawing a tubular space frame. I would first define nodes and center lines for the frame, and then have a block of a standard structural member. I want to insert that member multiple times and "snap" it to a center line. I tried using Alignment Parameters.

However, these don't seem to work in all cases. I need to (or rather, SHOULD be able to) create a tool that allows me to re-align an existing block currently inserted into the drawing into a new orientation in 3D using any arbitrary line as a reference line. Clearly this can be done because it is done all the time in Inventor. A similar feature seems to not exist in Autocad.

In order to do this I believe I need to choose some vector to use as a reference within the block. For example, I might choose the BlockReference.BlockTransform.CoordinateSystem3d.Xaxis, and then rotate this vector so that it is equal to whatever reference line I have chosen. The problem I am encountering (and that I think many have encountered) is in understanding how to use the BlockTransform correctly to arrive at the points I need to do the necessary vector calculations to determine the axis of rotation and the degree of rotation such that I can call the BlockReference.TransformBy() method correctly and reliably. 

Many posts say to "Use BlockTransform" but then don't go into any detail. There seem to me many pitfalls around when one can use the BlockTransform matrix, and on which objects, and what the results are likely to be based on one's current UCS etc.

View 4 Replies View Related

AutoCad 2D :: Rotating Text Within Linetype?

Jun 4, 2013

I'll start by saying that I'm using Civil 3D 2012...I've made a custom line type and am having issues with it. Basically, I'm trying to get the text (Green line with 4's) to flip around from it's current orientation, see attachment. I have already tried the REVERSE and MIRROR commands, with no success.

View 6 Replies View Related

AutoCad 2D :: Rotating Parameter With Text

Jan 27, 2012

what i have is a section cut that my Mechanical guys use. What i am trying to do is create a dynamic block using the rotate parameter.

Currently i have two rotate parameters. One to rotate the section cut lines around one bit of text. The second parameter is to rotate another bit of text, but this is also selected in the first parameter.

It is almost working... with the exception that when i use the main rotate grip everything rotates around the text i want it to, but the second bit of text rotates 180° the opposite direction.

I have attached a copy of the file.

View 1 Replies View Related

AutoCAD 2013 :: UCS - Rotating Around Z Axis

Apr 3, 2012

I frequently rotate my drawings around the Z axis however when trying to do this in 2013 it only appears to let me rotate at 0,0,0 rather than clicking on 2 points in the drawing to reference the angle at which I wish to rotate to........ Im not sure if this function has changed completely or is there something I need to set to still allow me to do this?

View 9 Replies View Related

AutoCAD Inventor :: Rotating In Assembly Background?

Sep 26, 2011

I have a part that I am inserting into an assembly, the assembly consists of a 2D AutoCAD Architectural background. I want to align the part, with the background itself, so I just need to turn it 90degrees. When I do a rotate, it keeps rotating it on a 3D axis, including when I use my grip edit, and use a line to align for the new rotation.

How do I quickly rotate a part so that it's not rotating on a 3D axis, it just rotates along the x,y axis?

View 3 Replies View Related

AutoCAD Civil 3D :: Rotating View Of A Drawing

Oct 10, 2012

My company has just upgraded from stone age AutoCAD to Civil3d 2013 and I've been tasked with figuring out the program.

What I am trying to do is realign my drawing so a line I drew is horizontal to the page. For example, I have a line at a 45 degree angle and I want to rotate my viewport so that line is now at a 0 degree angle. Is there a simple way to do this?

A follow up: I have my point labels set to be a 45 degree angle, will they be at a 45 degree angle when I realign the drawing or will they "rotate" along with the drawing?

View 9 Replies View Related

AutoCAD 2013 :: Rotating Blocks With Spacebar

Feb 24, 2013

when I insert a block from the tool pallet I want to be able to rotate it 90 degrees with the spacebar (just like revit when inserting a component).

How to rotate a block 90 degrees with the spacebar?

View 2 Replies View Related

AutoCAD 2010 :: Rotating Views / Layouts

Sep 14, 2012

DView commands. We're using layout drawings of sites that are aligned with True North.

We've been using DView to rotate site layouts within model space in order to to align the layout better within the window and set up icons as such. And we have multiple Sheets set up with different information being displayed (ie different layers turned off). But when we go to the sheets, the Paper Space view still shows it's Original Orientation.

What I'd like to know is there a simple way to set the various different layouts to the same as Model Space, Without having to manually DView each Viewport as well?

View 2 Replies View Related

AutoCAD LT :: Rotating Entire Layout In 2008

Aug 14, 2013

I have a drawing I've created in Autocad LT 2008 (wall sections) that are viewed in the sheet on their side, I'm tied of drafting sideways. If I group the entire page and rotate, dimenssions and model viewports will not coorperate in the rotation. UCS will allow rotation for view ports, but the command "plan" will not be recognized in paper space. Taking a landscape LAYOUT view and flipping it to portrait that won't wreck notes, leader, dims & viewports?  

View 9 Replies View Related

AutoCAD 2010 :: Dims In Xref Rotating?

Apr 3, 2012

We have a base drawing that is xreffed into other drawings, it is made up of various building sections (some horizontal some vertical). We have dimmed the grids using linear dimensions. When we bring in the drawing as an xref and rotate it 90 degrees (so the vertical sections are now horizontal) all the dims are now upside down.

Is there a variable/method to stop this from happening.

View 3 Replies View Related

AutoCAD Inventor :: Two Rotating Objects Interfering

Mar 24, 2013

I am right now working on a door with a door handle and a lock.

So far i have gotten the door handle to work more or less.. The only thing that annoys me is that when i rotate the door handle to the limit, it'll reset rather than "lock" and just wont move anymore.. Anyways, that's not my main issue here.

My main issue is that when i mess around with the lock-handle, it will often interfere and pull in the doorhandle, change the location and just act odd..

It is no problem the other way around. I have no problems using the doorhandle without it doing anything to the lock.. I have tried to make more space between the two handles, but it makes no real difference.

View 2 Replies View Related

AutoCAD Civil 3D :: Rotating Survey Points

Jul 25, 2013

I had an issue where I dropped points into my drawing for a survey and they weren't at the distance compared to recorded plat. I have checked the points mathematically, and they were dead on. A coworker suggested that I WBLOCK the points I was working with that way I don't move single points out of place. I disagreed, because the way i move points is I use the TOOLSPACE and move them as a group. So what I did was to drop the points again and now they were dead on the second time. I don't like turning points into a block due to the fact that it messes up my drawing.

View 6 Replies View Related

AutoCAD Inventor :: Rotating Part In Assembly

Aug 29, 2013

I have an assebly where i have imported parts and other assemblies. Unfortunatly during process of assigning them together they have rotated by various angles.Is it possible to somehow "reset" the rotation of part according to global xyz?

View 3 Replies View Related

AutoCad :: Repositioning Via Rotate - But Not Directly Rotating

Oct 25, 2011

I'm trying to have some advanced positioning - I don't know if this can be done using dynamic blocks. Start with some basic geometry - let's say a triangle - /. Now, I can add a rotate parameter & action that will let me spin that as I wish.

Next - add a couple attributes. I have a pair of attributes, separated by a text, aligned as "A1.A2" A1 is right-justified, and A2 is left-justified, so when edited they remain in the form "A1.A2" regardless of length. I can now add a point parameter, combined with a move action, that will let me reposition these three entities freely.

My question - can I have the rotate action trigger a move, such that the text repositions to a defined location without changing orientation (DON'T rotate the text!)?

So if I start with (leading . used for positioning in this forum text box):. A1.A2

I want to rotate it to: A1.A2

While I'd love to have it totally self-adjust, I mainly need it to handle 45-degree increments of rotation.Is there a way of expressing this using dynamic blocks using action and/or constraints? Or would this require a lisp construct?

View 0 Replies View Related

AutoCAD Inventor :: Rotating A Part In Assembly

Sep 14, 2012

I'm using 2010 and maybe this has been addressed in subsequent versions, i don't know.i've designed parametic platform that I would like to insert into an assembly and have it prompt me for elevation and orientation. Short of VBA code, i'm not sure I can do this. I AM trying to make the process as simple as possible for use by people who will not be overly familiar with Inventor. The easier it can be done, the sooner it can be adopted and more people taught how to actually use it.

I know I can bring it in and constrain it different axes and planes.

I also know that I can insert a piece into an assembly and ground it at 0,0,0. Using that I can ground it at 80 feet in the air or whatever elevation I choose using the occurrence tab of iproperties for the part/assembly. That in and of itself goes a long way toward what i'm trying to do. There's also a rotational setting there that would work for setting an orientation, but it's greyed out. In fact, in any example I try and make, it's always greyed out.

I've tried doing it as an iassembly as well, but there doesn't seem to be any provision in iassemblies for making custom values like there is in an ipart.

Either a dialog to prompt for the info or via something like the occurrence tab is fine.each identical assembly/part has to be individually constrained to get the correct orientation?

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved